All wifi commands failing with Mirage board


#1

Hello,

Recently I posted here: USB driver failing to find or power USBs about my usb driver not working on the new mangoh reds we purchased. It was suggested to me that we purchase the special WiFi module here: https://www.digikey.com/product-detail/en/talon-communications-inc/MIRAGE-PIFA/1788-1008-ND/7243279. This wifi module does not seem to have support on the mangoh Red though. It does work on the green.

I am experiencing this problem, and another user here: WiFi client error on mangoOH Red is experiencing a similar problem. The wifi commands are not working as they are on the Mangoh Green, and returning:

ERROR:le_wifiAp_Start returns -6.

Here is the error log for the mangoh red when running “wifi ap start”:

Jan 4 23:23:21 swi-mdm9x15 user.debug Legato: DBUG | wifiService[524]/framework T=main | LE_FILENAME ExtractFileDescriptor() 33 | Received fd (10).
Jan 4 23:23:21 swi-mdm9x15 user.debug Legato: DBUG | wifiService[524]/framework T=main | LE_FILENAME ExtractFileDescriptor() 33 | Received fd (11).
Jan 4 23:23:21 swi-mdm9x15 user.info Legato: INFO | wifiService[524]/daemon T=main | pa_wifi_ap_ti.c pa_wifiAp_Start() 449 | AP starts
Jan 4 23:23:21 swi-mdm9x15 user.debug Legato: DBUG | wifiService[524]/framework T=main | LE_FILENAME le_mem_ForceAlloc() 841 | Memory pool ‘framework.DestructorObjs’ overflowed. Expanded to 6 blocks.
Jan 4 23:23:21 swi-mdm9x15 user.info Legato: INFO | wifiService[524]/daemon T=main | pa_wifi_ap_ti.c pa_wifiAp_Start() 463 | SSID = ryan
Jan 4 23:23:21 swi-mdm9x15 user.debug Legato: DBUG | wifiService[524]/framework T=WifiApPaThread | LE_FILENAME PThreadStartRoutine() 362 | Set nice level to 0.
Jan 4 23:23:21 swi-mdm9x15 user.debug Legato: DBUG | wifiService[524]/framework T=WifiApPaThread | LE_FILENAME le_mem_ForceAlloc() 841 | Memory pool ‘framework.DestructorObjs’ overflowed. Expanded to 7 blocks.
Jan 4 23:23:21 swi-mdm9x15 user.info Legato: INFO | wifiService[524]/daemon T=WifiApPaThread | pa_wifi_ap_ti.c WifiApPaThreadMain() 230 | Started!
Jan 4 23:23:21 swi-mdm9x15 user.info Legato: INFO | wifiService[524]/daemon T=WifiApPaThread | pa_wifi_ap_ti.c WifiApPaThreadMain() 247 | PARSING:WIFI_SET_EVENT : len:15
Jan 4 23:23:21 swi-mdm9x15 user.info Legato: INFO | wifiService[524] | WIFI_START
Jan 4 23:23:22 swi-mdm9x15 user.err Legato: =ERR= | wifiService[524] | ERR failed to write i2c data**
> Jan 4 23:23:22 swi-mdm9x15 user.err Legato: =ERR= | wifiService[524] | FTL Failed to enable PCA9548A I2C switch*
> Jan 4 23:23:22 swi-mdm9x15 user.err Legato: =ERR= | wifiService[524]/daemon T=main | pa_wifi_ap_ti.c pa_wifiAp_Start() 484 | WiFi Access Point Command Failed: (23296)wlan0 WIFI_START
> Jan 4 23:23:22 swi-mdm9x15 user.err Legato: =ERR= | wifiService[524]/daemon T=main | pa_wifi_ap_ti.c pa_wifiAp_Start() 614 | WiFi Client Command Failed: As a result, configuration file (/tmp/hostapd.conf) is removed.
Jan 4 23:23:22 swi-mdm9x15 user.debug Legato: DBUG | wifiService[524]/framework T=main | le_wifiAp_server.c Handle_le_wifiAp_Start() 557 | Sending response to client session 0x27cac : 4 bytes sent
Jan 4 23:23:22 swi-mdm9x15 user.debug Legato: DBUG | wifiService[524]/daemon T=main | le_wifiClient.c CloseSessionEventHandler() 414 | sessionRef 0x27d3c GetFirstSessionRef (nil)
Jan 4 23:23:22 swi-mdm9x15 user.debug Legato: DBUG | wifiService[524]/framework T=main | le_wifiClient_server.c CleanupClientData() 195 | Client 0x27d3c is closed !!!
Jan 4 23:23:22 swi-mdm9x15 user.debug Legato: DBUG | wifiService[524]/framework T=main | le_wifiAp_server.c CleanupClientData() 195 | Client 0x27cac is closed !!!

I made the error codes bold for visibility. Apparently the driver cannot write i2c data? There is a similar question here: Request for advice on board bring up of a Custom board with WP8548 + Ti Wifi chipset Board bring up which has not been answered.

This error is occurring on all of our boards fresh out of the box

Is this a known bug, or do you know of a solution to this issue? If anyone has gotten the wifi module working on their red, please let me know!

Thank you for your help in advance!


#2

Is there another support avenue to address this issue since we are all encountering this issue on MangOH Red? Also I have questions on USB cellular connections over USB using connman that the community isn’t able to answer or help resolve. Does MangOH provide support for their products beyond the community when they fail to work as advertised? And what and where is this support? MangOH we natives are restless and need assistance!


#3

So, I saw something new. After the ‘wifi ap start’ command, logread is re-populated constantly, multiple times a second, with this recurring message below. I have no idea why it is doing this, or what it indicates, but I imagine it is related:

Jan 6 00:01:11 swi-mdm9x15 user.info kernel: [ 61.830978] gpio_sync_ri: RI owner is Modem
Jan 6 00:01:11 swi-mdm9x15 user.debug kernel: [ 61.834182] ->gpio16 = 0
Jan 6 00:01:11 swi-mdm9x15 user.debug kernel: [ 61.834182] ->gpio17 = 0
Jan 6 00:01:11 swi-mdm9x15 user.debug kernel: [ 61.834213] ->gpio18 = 0
Jan 6 00:01:11 swi-mdm9x15 user.debug kernel: [ 61.834213] ->gpio19 = 0
Jan 6 00:01:11 swi-mdm9x15 user.debug kernel: [ 61.834274] gpio-80 (sysfs): gpiod_request: status -16
Jan 6 00:01:11 swi-mdm9x15 user.debug kernel: [ 61.834274] export_store: status -16

I have updated logs - I updated the board to legato 17.10 and ran ‘wifi ap start’ again. The issue is persistent. While the board and commands work on the mangoh green, it fails on the mangoh red. Is there anything in the logs that gives you a hint at the error?

Thank you for your help in advance!

Jan 6 00:25:01 swi-mdm9x15 user.debug Legato: DBUG | wifiService[580]/framework T=main | LE_FILENAME ExtractFileDescriptor() 34 | Received fd (11).
Jan 6 00:25:01 swi-mdm9x15 user.debug Legato: DBUG | wifiService[580]/framework T=main | LE_FILENAME ExtractFileDescriptor() 34 | Received fd (12).
Jan 6 00:25:01 swi-mdm9x15 user.info Legato: INFO | wifiService[580]/daemon T=main | pa_wifi_ap_ti.c pa_wifiAp_Start() 453 | AP starts
Jan 6 00:25:01 swi-mdm9x15 user.debug Legato: DBUG | wifiService[580]/framework T=main | LE_FILENAME le_mem_ForceAlloc() 841 | Memory pool ‘framework.DestructorObjs’ overflowed. Expanded to 6 blocks.
Jan 6 00:25:01 swi-mdm9x15 user.info Legato: INFO | wifiService[580]/daemon T=main | pa_wifi_ap_ti.c pa_wifiAp_Start() 467 | SSID = ryan
Jan 6 00:25:01 swi-mdm9x15 user.debug Legato: DBUG | wifiService[580]/framework T=WifiApPaThread | LE_FILENAME PThreadStartRoutine() 362 | Set nice level to 0.
Jan 6 00:25:01 swi-mdm9x15 user.debug Legato: DBUG | wifiService[580]/framework T=WifiApPaThread | LE_FILENAME le_mem_ForceAlloc() 841 | Memory pool ‘framework.DestructorObjs’ overflowed. Expanded to 7 blocks.
Jan 6 00:25:01 swi-mdm9x15 user.info Legato: INFO | wifiService[580]/daemon T=WifiApPaThread | pa_wifi_ap_ti.c WifiApPaThreadMain() 234 | Started!
Jan 6 00:25:01 swi-mdm9x15 user.info Legato: INFO | wifiService[580] | WIFI_START
Jan 6 00:25:01 swi-mdm9x15 user.info Legato: INFO | wifiService[580]/daemon T=WifiApPaThread | pa_wifi_ap_ti.c WifiApPaThreadMain() 251 | PARSING:WIFI_SET_EVENT : len:15
Jan 6 00:25:01 swi-mdm9x15 user.err Legato: =ERR= | wifiService[580] | ERR failed to write i2c data*
Jan 6 00:25:01 swi-mdm9x15 user.err kernel: [ 1346.986784] qup_i2c qup_i2c.0: QUP: I2C status flags :0x1343c8, irq:187
Jan 6 00:25:01 swi-mdm9x15 user.err kernel: [ 1346.992552] qup_i2c qup_i2c.0: I2C slave addr:0x71 not connected
Jan 6 00:25:01 swi-mdm9x15 user.err Legato: =ERR= | wifiService[580] | FTL Failed to enable PCA9548A I2C switch
Jan 6 00:25:02 swi-mdm9x15 user.err kernel: [ 1348.108072] qup_i2c qup_i2c.0: QUP: I2C status flags :0x1300c8, irq:187
Jan 6 00:25:02 swi-mdm9x15 user.err Legato: =ERR= | wifiService[580] | ERR failed to write i2c data
Jan 6 00:25:02 swi-mdm9x15 user.err kernel: [ 1348.114512] qup_i2c qup_i2c.0: I2C slave addr:0x71 not connected
Jan 6 00:25:02 swi-mdm9x15 user.err Legato: =ERR= | wifiService[580] | FTL* Failed to enable PCA9548A I2C switch
Jan 6 00:25:02 swi-mdm9x15 user.err kernel: [ 1348.190691] qup_i2c qup_i2c.0: QUP: I2C status flags :0x1300c8, irq:187
Jan 6 00:25:02 swi-mdm9x15 user.err kernel: [ 1348.196337] qup_i2c qup_i2c.0: I2C slave addr:0x71 not connected
Jan 6 00:25:02 swi-mdm9x15 user.err Legato: =ERR= | wifiService[580] | ERR* failed to write i2c data
Jan 6 00:25:02 swi-mdm9x15 user.err Legato: =ERR= | wifiService[580] | FTL* Failed to enable PCA9548A I2C switch
Jan 6 00:25:02 swi-mdm9x15 user.err Legato: =ERR= | wifiService[580]/daemon T=main | pa_wifi_ap_ti.c pa_wifiAp_Start() 488 | WiFi Access Point Command Failed: (23296)wlan0 WIFI_START
Jan 6 00:25:02 swi-mdm9x15 user.err Legato: =ERR= | wifiService[580]/daemon T=main | pa_wifi_ap_ti.c pa_wifiAp_Start() 618 | WiFi Client Command Failed: As a result, configuration file (/tmp/hostapd.conf) is removed.
Jan 6 00:25:02 swi-mdm9x15 user.debug Legato: DBUG | wifiService[580]/daemon T=main | le_wifiClient.c CloseSessionEventHandler() 414 | sessionRef 0x27ce4 GetFirstSessionRef (nil)
Jan 6 00:25:02 swi-mdm9x15 user.debug Legato: DBUG | wifiService[580]/framework T=main | le_wifiClient_server.c CleanupClientData() 139 | Client 0x27ce4 is closed !!!
Jan 6 00:25:02 swi-mdm9x15 user.debug Legato: DBUG | wifiService[580]/framework T=main | le_wifiAp_server.c CleanupClientData() 139 | Client 0x27d74 is closed !!!


#4

Can we confirm with the Sierra team that the wifi board does not work on the ManoghRed device?


#5

Hi Roger,

the issue is that the gpio used to control wifi reset is different for red and green. We will provide you the changes you need to do on wifinitscript file next week. Are you using WP76? @dclark75 lets wall him through on Monday/Tuesday.

Ashish


#6

@asyal,

I’m using a wp85 for both the Red and Green, but I could find a wp76 around here. Changes need to be made in the wifiinitscript - what is the name of that script in the mangoh directory?

I sincerely appreciate your willingness to work with me through this and the time you all are taking to address our issues, it goes a long way!


#8

@rauger1 to get the tiwifi working with a wp85 on a mangOH Red do the following:

  • install release 14 on the device
  • update the tiwifi script on the device
    • copy /etc/init.d/tiwifi -> /etc/init.d/tiwifi.bak
    • overwrite the tiwifi script with the attached tiwifi file

#9

#!/bin/sh

Copyright © Sierra Wireless Inc. Use of this work is subject to license.

TI wireless wl18xx specific applications start or stop here

TI WIFI IoT board is managed by SDIO/MMC bus. Some signals need to be set

and managed before the SDIO/MMC module is inserted.

TI WIFI IoT conflicts with others devices using the SDIO/MMC bus

export PATH=$PATH:/usr/bin:/bin:/usr/sbin:/sbin

ti_wifi_start() {
# Add mdev rule for crda
grep crda /etc/mdev.conf > /dev/null
if [ $? -ne 0 ]; then
echo “$COUNTRY=… root:root 0660 */sbin/crda” >> /etc/mdev.conf
fi
lsmod | grep wlcore >/dev/null
if [ $? -ne 0 ]; then
# Check if MMC/SDIO module is inserted. Because WIFI use SDIO/MMC bus
# we need to remove the SDIO/MMC module
lsmod | grep msm_sdcc >/dev/null
if [ $? -eq 0 ]; then
grep -q mmcblk /proc/mounts
if [ $? -ne 0 ]; then
rmmod msm_sdcc
else
false
fi
if [ $? -ne 0 ]; then
# Unable to remove. May be others devices use SDIO/MMC bus
echo "!!!"
echo "Unable to remove the SDIO/MMC module… May be in use ?"
echo "Please, free all SDIO/MMC devices before using TI WIFI."
echo "!!!"
exit 127
fi
fi

   # SDIO mux select IOT card by writing 0 to gpio expander offset 9
   # Enable GPIO expander port of i2c switch
   i2cset -y 0 0x71 0x04
   # Reset the GPIO expander
   i2cset -y 0 0x3e 0x7d 0x12
   i2cset -y 0 0x3e 0x7d 0x34
   # Set output to low for offset 9
   i2cset -y -m 0x02 0 0x3e 0x10 0x00
   # Set direction to output by performing masked write of 0 to bit 1 of RegDirB
   i2cset -y -m 0x02 0 0x3e 0x0e 0x00

   # Set IOT0_GPIO2 = 1 (WP GPIO13)                                             
   [ -d /sys/class/gpio/gpio13 ] || echo 13 > /sys/class/gpio/export            
   echo out > /sys/class/gpio/gpio13/direction                                  
   echo 1 > /sys/class/gpio/gpio13/value                                        
                                                                                
   # Set IOTO_RESET = 1 (WP GPIO2)                                              
   [ -d /sys/class/gpio/gpio2 ] || echo 2 > /sys/class/gpio/export              
   echo out > /sys/class/gpio/gpio2/direction                                   
   echo 1 > /sys/class/gpio/gpio2/value                                         
                                                                                
   # Set IOT0_GPIO4 = 1 (WP GPIO8)                                              
   [ -d /sys/class/gpio/gpio8 ] || echo 8 >/sys/class/gpio/export               
   echo out >/sys/class/gpio/gpio8/direction                                    
   echo 1 >/sys/class/gpio/gpio8/value                                          
                                                                                
   modprobe msm_sdcc || exit 127                                                
                                                                                
   modprobe wlcore || exit 127                                                  
   modprobe wlcore_sdio || exit 127                                             
   modprobe wl18xx || exit 127                                                  
fi                                                                              
sleep 5                                                                         
ifconfig -a | grep wlan0 >/dev/null                                             
if [ $? -ne 0 ] ; then                                                          
    echo "Failed to start TI wifi"; exit 127                                    
fi                                                                              
ifconfig wlan0 up >/dev/null                                                    
if [ $? -ne 0 ] ; then                                                          
    echo "Failed to start TI wifi"; exit 127                                    
fi                                                                              

}

ti_wifi_stop() {
ifconfig | grep wlan0 >/dev/null
if [ $? -eq 0 ]; then
ifconfig wlan0 down
fi
lsmod | grep wlcore >/dev/null
if [ $? -eq 0 ]; then
rmmod wl18xx || exit 127
rmmod wlcore_sdio || exit 127
rmmod wlcore || exit 127
rmmod mac80211 || exit 127
rmmod cfg80211 || exit 127
rmmod compat || exit 127

   rmmod msm-sdcc || exit 127                                                   
                                                                                
   # Reset IOT0_GPIO4 = 0 (WP GPIO8)                                            
   echo 0 > /sys/class/gpio/gpio8/value                                         
   # Clear IOTO_RESET                                                           
   echo 0 > /sys/class/gpio/gpio2/value                                         
   # Set the SDIO mux to the SD Card slot                                       
   i2cset -y -m 0x02 0 0x3e 0x10 0x02                                           
   # Reset IOT0_GPIO2 = 0 (WP GPIO13)                                           
   echo 0 > /sys/class/gpio/gpio13/value                                        
                                                                                
   # Insert MMC/SDIO module                                                     
   modprobe msm_sdcc || exit 127                                                
fi                                                                              

}

case “$1” in
start)
ti_wifi_start
;;
stop)
ti_wifi_stop
;;
restart)
ti_wifi_stop
ti_wifi_start
;;
*)
exit 1
;;
esac

exit 0


#10

@dclark75,

I installed legato release 14(16.10.3) for the wp85 :

root@swi-mdm9x15:~# fwupdate query
Connecting to service …
Firmware Version: SWI9X15Y_07.12.09.00 r34123 CARMD-EV-FRMWR1 2017/04/26 23:34:19
Bootloader Version: SWI9X15Y_07.12.09.00 r34123 CARMD-EV-FRMWR1 2017/04/26 23:34:19
Linux Version: 3.14.29ltsi-961ca71325_ab5094eade #2 PREEMPT Thu Apr 27 02:17:10 PDT 2017
root@swi-mdm9x15:~# legato version
16.10.3_a53df126993341d9868f9957ab7b1184

Then I copied the script you sent me to /etc/init.d/tiwifi , and ran the following command:

root@swi-mdm9x15:~# cp wifi_cmds.sh /etc/init.d/tiwifi
root@swi-mdm9x15:~# chmod +x /etc/init.d/tiwifi
root@swi-mdm9x15:~# wifi ap setssid "RAUGER1"
SSID set successfully.
root@swi-mdm9x15:~# wifi ap start
ERROR:le_wifiAp_Start returns -6.
root@swi-mdm9x15:~# wifi ap setssid "RAUGER1"
SSID set successfully.
root@swi-mdm9x15:~# wifi ap setchannel 1
Channel set to 1.
root@swi-mdm9x15:~# wifi ap setsecurityproto 1
Security protocol set to 1.
root@swi-mdm9x15:~# wifi ap setpassphrase "SIERRA_WIFI"
Passphrase set.
root@swi-mdm9x15:~# wifi ap setdiscoverable 1
Discoverable set to 1.
root@swi-mdm9x15:~# wifi ap setmaxclients 5
Max number of clients set to 5.
root@swi-mdm9x15:~# wifi ap start
ERROR:le_wifiAp_Start returns -6.

logread:

Feb 7 18:17:19 swi-mdm9x15 user.debug Legato: DBUG | wifiService[568]/framework T=main | LE_FILENAME ExtractFileDescriptor() 33 | Received fd (10).
Feb 7 18:17:19 swi-mdm9x15 user.debug Legato: DBUG | wifiService[568]/framework T=main | LE_FILENAME ExtractFileDescriptor() 33 | Received fd (11).
Feb 7 18:17:19 swi-mdm9x15 user.info Legato: INFO | wifiService[568]/daemon T=main | pa_wifi_ap_ti.c pa_wifiAp_Start() 449 | AP starts
Feb 7 18:17:19 swi-mdm9x15 user.debug Legato: DBUG | wifiService[568]/framework T=main | LE_FILENAME le_mem_ForceAlloc() 841 | Memory pool ‘framework.DestructorObjs’ overflowed. Expanded to 6 blocks.
Feb 7 18:17:19 swi-mdm9x15 user.info Legato: INFO | wifiService[568]/daemon T=main | pa_wifi_ap_ti.c pa_wifiAp_Start() 463 | SSID = RAUGER1
Feb 7 18:17:19 swi-mdm9x15 user.debug Legato: DBUG | wifiService[568]/framework T=WifiApPaThread | LE_FILENAME PThreadStartRoutine() 362 | Set nice level to 0.
Feb 7 18:17:19 swi-mdm9x15 user.debug Legato: DBUG | wifiService[568]/framework T=WifiApPaThread | LE_FILENAME le_mem_ForceAlloc() 841 | Memory pool ‘framework.DestructorObjs’ overflowed. Expanded to 7 blocks.
Feb 7 18:17:19 swi-mdm9x15 user.info Legato: INFO | wifiService[568]/daemon T=WifiApPaThread | pa_wifi_ap_ti.c WifiApPaThreadMain() 230 | Started!
Feb 7 18:17:19 swi-mdm9x15 user.info Legato: INFO | wifiService[568] | WIFI_START
Feb 7 18:17:19 swi-mdm9x15 user.info Legato: INFO | wifiService[568]/daemon T=WifiApPaThread | pa_wifi_ap_ti.c WifiApPaThreadMain() 247 | PARSING:WIFI_SET_EVENT : len:15
Feb 7 18:17:24 swi-mdm9x15 user.info Legato: INFO | wifiService[568] | Failed to start TI wifi
Feb 7 18:17:24 swi-mdm9x15 user.err Legato: =ERR= | wifiService[568]/daemon T=main | pa_wifi_ap_ti.c pa_wifiAp_Start() 484 | WiFi Access Point Command Failed: (23296)wlan0 WIFI_START
Feb 7 18:17:24 swi-mdm9x15 user.err Legato: =ERR= | wifiService[568]/daemon T=main | pa_wifi_ap_ti.c pa_wifiAp_Start() 614 | WiFi Client Command Failed: As a result, configuration file (/tmp/hostapd.conf) is removed.
Feb 7 18:17:24 swi-mdm9x15 user.debug Legato: DBUG | wifiService[568]/framework T=main | le_wifiAp_server.c Handle_le_wifiAp_Start() 557 | Sending response to client session 0x27d3c : 4 bytes sent
Feb 7 18:17:24 swi-mdm9x15 user.debug Legato: DBUG | wifiService[568]/daemon T=main | le_wifiClient.c CloseSessionEventHandler() 414 | sessionRef 0x27cac GetFirstSessionRef (nil)
Feb 7 18:17:24 swi-mdm9x15 user.debug Legato: DBUG | wifiService[568]/framework T=main | le_wifiClient_server.c CleanupClientData() 195 | Client 0x27cac is closed !!!
Feb 7 18:17:24 swi-mdm9x15 user.debug Legato: DBUG | wifiService[568]/framework T=main | le_wifiAp_server.c CleanupClientData() 195 | Client 0x27d3c is closed !!!

Is there anything that pops out to you that I could be doing wrong?


#11

@rauger can you try this - reboot board and do a dmesg -c to clear kernel logs - then try /sbin/ifup wlan0 - and see if this command succeeds - double check by seeing if the wlan0 interface shows up using ifconfig. If you see it fails can u do another dmesg -c and paste output here.


#12

root@swi-mdm9x15:~# /sbin/ifup wlan0
Error: Write failed
Error: Write failed
Error: Write failed
Error: Failed to read old value
Error: Failed to read old value
Failed to start TI wifi
root@swi-mdm9x15:~# vi /etc/init.d/tiwifi
root@swi-mdm9x15:~# dmesg -c
[ 67.369693] qup_i2c qup_i2c.0: QUP: I2C status flags :0x1343c8, irq:187
[ 67.375339] qup_i2c qup_i2c.0: I2C slave addr:0x71 not connected
[ 67.403509] qup_i2c qup_i2c.0: QUP: I2C status flags :0x1300c8, irq:187
[ 67.409949] qup_i2c qup_i2c.0: I2C slave addr:0x3e not connected
[ 67.422493] qup_i2c qup_i2c.0: QUP: I2C status flags :0x1300c8, irq:187
[ 67.428841] qup_i2c qup_i2c.0: I2C slave addr:0x3e not connected
[ 67.441446] qup_i2c qup_i2c.0: QUP: I2C status flags :0x1300c8, irq:187
[ 67.447642] qup_i2c qup_i2c.0: I2C slave addr:0x3e not connected
[ 67.460552] qup_i2c qup_i2c.0: QUP: I2C status flags :0x1300c8, irq:187
[ 67.466198] qup_i2c qup_i2c.0: I2C slave addr:0x3e not connected
[ 67.475446] gpio_sync_ri: RI owner is Modem
[ 67.479566] ->gpio16 = 0
[ 67.479597] ->gpio17 = 0
[ 67.479597] ->gpio18 = 0
[ 67.479627] ->gpio19 = 0
[ 67.518937] mmc0: mci-version: 18
[ 67.527697] mmc0: bam physical base=0x12182000
[ 67.531115] mmc0: bam virtual base=0xd05d0000
[ 67.535449] sps:BAM 0x12182000 is registered.
[ 67.557179] mmc0: BAM device registered. bam_handle=0xcb948600<6>[ 67.562398] sps:REVISION of BAM 0xd05d0000 is 0x5.
[ 67.573538] mmc0: Qualcomm MSM SDCC-BAM at 0x0000000012182000 irq 130
[ 67.579673] mmc0: Qualcomm MSM SDCC-DML at 0x0000000012180800
[ 67.584770] mmc0: No card detect facilities available
[ 67.594567] mmc0: Qualcomm MSM SDCC-core at 0x0000000012180000 irq 136,0 dma -1 dmacrcri -1
[ 67.616175] mmc0: 8 bit data mode disabled
[ 67.619838] mmc0: 4 bit data mode enabled
[ 67.623256] mmc0: polling status mode disabled
[ 67.633541] mmc0: MMC clock 400000 -> 48000000 Hz, PCLK 0 Hz
[ 67.655669] mmc0: Slot eject status = 0
[ 67.669342] mmc0: Power save feature enable = 1
[ 67.688844] mmc0: SPS-BAM data transfer mode available
[ 67.775766] Loading modules backported from Linux version R8.5
[ 67.787791] Backport generated by backports.git R8.5
[ 67.927971] cfg80211: Calling CRDA to update world regulatory domain
[ 68.482710] cfg80211: World regulatory domain updated:
[ 68.486860] cfg80211: DFS Master region: unset
[ 68.517289] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[ 68.526018] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[ 68.540485] cfg80211: (2457000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[ 68.547993] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (N/A, 2000 mBm), (N/A)
[ 68.555470] cfg80211: (5170000 KHz - 5250000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 2000 mBm), (N/A)
[ 68.565359] cfg80211: (5250000 KHz - 5330000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 2000 mBm), (0 s)
[ 68.574759] cfg80211: (5490000 KHz - 5730000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
[ 68.582725] cfg80211: (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[ 68.590752] cfg80211: (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 0 mBm), (N/A)


#13

how are you powering the board? Through a computer or through a USB to wall adapter?


#14

I am powering the Mangoh Red with a computer USB cable


#15

Could you change that? I am wondering if the power from your computer is not enough to support cellular + WiFi simultaneously


#16

Ok adjusted the mangoh to receive power from a wall socket usb and I’m sshing using the other port, and I receive the same error


#17

Here is the setup in case you’re wondering. When i set the required fields for wifi_ap, I still receive the -6 error and logread outputs the same. But dmesg -c doesnt show anything…:

root@swi-mdm9x15:~# /sbin/ifup wlan0
Failed to start TI wifi
root@swi-mdm9x15:~# dmesg -c
root@swi-mdm9x15:~#


#18

Seems like the driver did load for you.
Does the client mode work for you? We’ll try the AP mode tomorrow to test.


#19

@rauger did you use the tiwifi script i sent to you? looks like your tiwifi script is still failing - i will try to send to you in a message again


#20

@rauger tried again and here is my outputs:

root@swi-mdm9x15:~# /sbin/ifup wlan0
root@swi-mdm9x15:~# dmesg -c
[ 65.227804] gpio_sync_ri: RI owner is Modem
[ 65.231008] ->gpio16 = 0
[ 65.231008] ->gpio17 = 0
[ 65.231039] ->gpio18 = 0
[ 65.231039] ->gpio19 = 0
[ 65.233236] gpio_sync_ri: RI owner is Modem
[ 65.236441] ->gpio16 = 0
[ 65.236471] ->gpio17 = 0
[ 65.236502] ->gpio18 = 0
[ 65.236502] ->gpio19 = 0
[ 65.248557] gpio_sync_ri: RI owner is Modem
[ 65.251762] ->gpio16 = 0
[ 65.251762] ->gpio17 = 0
[ 65.251793] ->gpio18 = 0
[ 65.251793] ->gpio19 = 0
[ 65.318480] mmc0: mci-version: 18
[ 65.337189] mmc0: bam physical base=0x12182000
[ 65.340637] mmc0: bam virtual base=0xd05bc000
[ 65.345002] sps:BAM 0x12182000 is registered.
[ 65.366732] mmc0: BAM device registered. bam_handle=0xceb33600<6>[ 65.371921] sps:REVISION of BAM 0xd05bc000 is 0x5.
[ 65.383488] mmc0: Qualcomm MSM SDCC-BAM at 0x0000000012182000 irq 130
[ 65.389470] mmc0: Qualcomm MSM SDCC-DML at 0x0000000012180800
[ 65.394719] mmc0: No card detect facilities available
[ 65.404455] mmc0: Qualcomm MSM SDCC-core at 0x0000000012180000 irq 136,0 dma -1 dmacrcri -1
[ 65.426186] mmc0: 8 bit data mode disabled
[ 65.429848] mmc0: 4 bit data mode enabled
[ 65.433267] mmc0: polling status mode disabled
[ 65.443674] mmc0: MMC clock 400000 -> 48000000 Hz, PCLK 0 Hz
[ 65.465588] mmc0: Slot eject status = 0
[ 65.468670] mmc0: card claims to support voltages below the defined range. These will be ignored.
[ 65.486769] mmc0: Power save feature enable = 1
[ 65.490279] mmc0: SPS-BAM data transfer mode available
[ 65.589317] Loading modules backported from Linux version R8.5
[ 65.594140] Backport generated by backports.git R8.5
[ 65.642118] mmc0: queuing unknown CIS tuple 0x91 (3 bytes)
[ 65.720585] mmc0: new high speed SDIO card at address 0001
[ 65.877552] cfg80211: Calling CRDA to update world regulatory domain
[ 66.444712] cfg80211: World regulatory domain updated:
[ 66.470105] cfg80211: DFS Master region: unset
[ 66.473462] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[ 66.510636] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[ 66.535479] cfg80211: (2457000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[ 66.543171] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (N/A, 2000 mBm), (N/A)
[ 66.550801] cfg80211: (5170000 KHz - 5250000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 2000 mBm), (N/A)
[ 66.560323] cfg80211: (5250000 KHz - 5330000 KHz @ 80000 KHz, 160000 KHz AUTO), (N/A, 2000 mBm), (0 s)
[ 66.569662] cfg80211: (5490000 KHz - 5730000 KHz @ 160000 KHz), (N/A, 2000 mBm), (0 s)
[ 66.577689] cfg80211: (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[ 66.585441] cfg80211: (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 0 mBm), (N/A)
[ 66.740637] wlcore: wl18xx HW: 183x or 180x, PG 2.2 (ROM 0x11)
[ 66.830672] wlcore: loaded
[ 66.832443] wlcore: driver version: ol_r8.a9.14
[ 66.886708] wlcore: compilation time: Thu Apr 27 02:16:58 2017
[ 72.367190] wlcore: PHY firmware version: Rev 8.2.0.0.224
[ 72.669006] wlcore: firmware booted (Rev 8.9.0.0.31)
[ 72.951442] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
root@swi-mdm9x15:~#
root@swi-mdm9x15:~# legato version
16.10.3_7776bb75a488e0db67b0d24975b46dd0


#21

@rauger in addition tried the wifi ap commands shown below - although FYI when i set up an AP i usually use the web application. This involves starting the wifiWebAp legato application and then I use a web browser with the url 192.168.2.2:8080.

root@swi-mdm9x15:~# wifi ap setssid "RAUGER1"
SSID set successfully.
root@swi-mdm9x15:~# wifi ap start
starting…
root@swi-mdm9x15:~# wifi ap setssid "RAUGER1"
SSID set successfully.
root@swi-mdm9x15:~# wifi ap setchannel 1
Channel set to 1.
root@swi-mdm9x15:~# wifi ap setsecurityproto 1
Security protocol set to 1.
root@swi-mdm9x15:~# wifi ap setpassphrase "SIERRA_WIFI"
Passphrase set.
root@swi-mdm9x15:~# wifi ap setdiscoverable 1
Discoverable set to 1.
root@swi-mdm9x15:~# wifi ap setmaxclients 5
Max number of clients set to 5.
root@swi-mdm9x15:~# wifi ap start
starting…
root@swi-mdm9x15:~# ifconfig wlan0
wlan0 Link encap:Ethernet HWaddr 80:30:DC:05:4A:10
inet6 addr: fe80::8230:dcff:fe05:4a10/64 Scope:Link
UP BROADCAST MULTICAST MTU:1500 Metric:1
RX packets:0 errors:0 dropped:0 overruns:0 frame:0
TX packets:8 errors:0 dropped:0 overruns:0 carrier:0
collisions:0 txqueuelen:1000
RX bytes:0 (0.0 B) TX bytes:792 (792.0 B)


WiFi on mangoOH Red